> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all functions for an environment GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_installation_id}/functions Reference: https://contentful.com/developers/docs/references/content-management-api/functions/get-all-functions-for-an-environment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `environment_id` (string, required) — environment_id identifier - `app_installation_id` (string, required) — app_installation_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "accepts": "appaction.event", "allowNetworks": "[]", "description": "A simple function that returns 'Hello, World!'", "name": "Hello world!", "path": "functions/hello-world", "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-10-11T05:35:48.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "Function", "updatedAt": "2025-10-11T05:35:48.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ], "sys": { "type": "Array" }, "total": 1 } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client .getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getFunctionsForEnvironment( '', { 'accepts[all]': ',,...' } )) .then((functions) => console.log(functions.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) client.function.getManyForEnvironment({ environmentId: '', spaceId: '', appInstallationId: ', query: { 'accepts[all]': ',event<2>,...' } }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```